<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="8945007IDGKD0KZ4HD95-2024-12-31.xsd#shellygroup_EffectFromBusinessCombinations" xlink:label="shellygroup_EffectFromBusinessCombinations" />
    <loc xlink:type="locator" xlink:href="8945007IDGKD0KZ4HD95-2024-12-31.xsd#shellygroup_BankFees" xlink:label="shellygroup_BankFees" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="8945007IDGKD0KZ4HD95-2024-12-31.xsd#shellygroup_RedeemedShares" xlink:label="shellygroup_RedeemedShares" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <labelArc xlink:type="arc" xlink:from="shellygroup_EffectFromBusinessCombinations" xlink:to="label_shellygroup_shellygroupEffectFromBusinessCombinations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="shellygroup_BankFees" xlink:to="label_shellygroup_shellygroupBankFees_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_shellygroup_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_shellygroup_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="shellygroup_RedeemedShares" xlink:to="label_shellygroup_shellygroupRedeemedShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_shellygroup_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_shellygroup_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_shellygroup_shellygroupEffectFromBusinessCombinations_Standard" id="shellygroup_shellygroupEffectFromBusinessCombinations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Ефект от бизнес комбинация</label>
    <label xlink:label="label_shellygroup_shellygroupBankFees_Standard" id="shellygroup_shellygroupBankFees_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Банкови такси</label>
    <label xlink:label="label_shellygroup_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="shellygroup_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="bg">Нетни парични потоци от оперативна</label>
    <label xlink:label="label_shellygroup_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="shellygroup_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="bg">Нетни парични потоци от инвестиционна</label>
    <label xlink:label="label_shellygroup_shellygroupRedeemedShares_Standard" id="shellygroup_shellygroupRedeemedShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="bg">Обратно изкупени акции</label>
    <label xlink:label="label_shellygroup_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="shellygroup_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="bg">Нетни парични потоци за финансова</label>
    <label xlink:label="label_shellygroup_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" id="shellygroup_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="bg">Нетно увеличение/(намаление)на пари и</label>
  </labelLink>
</linkbase>